
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Gio
    (     module GI.Gio.Callbacks                 ,
    module GI.Gio.Constants                 ,
    module GI.Gio.Enums                     ,
    module GI.Gio.Flags                     ,
    module GI.Gio.Functions                 ,
    module GI.Gio.Interfaces                ,
    module GI.Gio.Objects                   ,
    module GI.Gio.Structs                   ,


    ) where

import GI.Gio.Callbacks
import GI.Gio.Constants
import GI.Gio.Enums
import GI.Gio.Flags
import GI.Gio.Functions
import GI.Gio.Interfaces
import GI.Gio.Objects
import GI.Gio.Structs

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Gio.Types
import GI.Gio.Callbacks


