module GI.Gio.Objects.DBusConnection where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype DBusConnection = DBusConnection (ForeignPtr DBusConnection)
instance GObject DBusConnection where
class GObject o => DBusConnectionK o
instance (GObject o, IsDescendantOf DBusConnection o) => DBusConnectionK o
data DBusConnectionAddressPropertyInfo
data DBusConnectionAuthenticationObserverPropertyInfo
data DBusConnectionCapabilitiesPropertyInfo
data DBusConnectionClosedPropertyInfo
data DBusConnectionExitOnClosePropertyInfo
data DBusConnectionFlagsPropertyInfo
data DBusConnectionGuidPropertyInfo
data DBusConnectionStreamPropertyInfo
data DBusConnectionUniqueNamePropertyInfo
data DBusConnectionClosedSignalInfo
