module GI.Gio.Objects.DBusProxy where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype DBusProxy = DBusProxy (ForeignPtr DBusProxy)
instance GObject DBusProxy where
class GObject o => DBusProxyK o
instance (GObject o, IsDescendantOf DBusProxy o) => DBusProxyK o
data DBusProxyGBusTypePropertyInfo
data DBusProxyGConnectionPropertyInfo
data DBusProxyGDefaultTimeoutPropertyInfo
data DBusProxyGFlagsPropertyInfo
data DBusProxyGInterfaceInfoPropertyInfo
data DBusProxyGInterfaceNamePropertyInfo
data DBusProxyGNamePropertyInfo
data DBusProxyGNameOwnerPropertyInfo
data DBusProxyGObjectPathPropertyInfo
data DBusProxyGPropertiesChangedSignalInfo
data DBusProxyGSignalSignalInfo
