module GI.Gio.Objects.Permission where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype Permission = Permission (ForeignPtr Permission)
instance GObject Permission where
class GObject o => PermissionK o
instance (GObject o, IsDescendantOf Permission o) => PermissionK o
data PermissionAllowedPropertyInfo
data PermissionCanAcquirePropertyInfo
data PermissionCanReleasePropertyInfo
