module GI.Gio.Objects.Socket where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype Socket = Socket (ForeignPtr Socket)
instance GObject Socket where
class GObject o => SocketK o
instance (GObject o, IsDescendantOf Socket o) => SocketK o
data SocketBlockingPropertyInfo
data SocketBroadcastPropertyInfo
data SocketFamilyPropertyInfo
data SocketFdPropertyInfo
data SocketKeepalivePropertyInfo
data SocketListenBacklogPropertyInfo
data SocketLocalAddressPropertyInfo
data SocketMulticastLoopbackPropertyInfo
data SocketMulticastTtlPropertyInfo
data SocketProtocolPropertyInfo
data SocketRemoteAddressPropertyInfo
data SocketTimeoutPropertyInfo
data SocketTtlPropertyInfo
data SocketTypePropertyInfo
