module GI.Gio.Objects.Application where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype Application = Application (ForeignPtr Application)
instance GObject Application where
class GObject o => ApplicationK o
instance (GObject o, IsDescendantOf Application o) => ApplicationK o
data ApplicationActionGroupPropertyInfo
data ApplicationApplicationIdPropertyInfo
data ApplicationFlagsPropertyInfo
data ApplicationInactivityTimeoutPropertyInfo
data ApplicationIsBusyPropertyInfo
data ApplicationIsRegisteredPropertyInfo
data ApplicationIsRemotePropertyInfo
data ApplicationResourceBasePathPropertyInfo
data ApplicationActivateSignalInfo
data ApplicationCommandLineSignalInfo
data ApplicationHandleLocalOptionsSignalInfo
data ApplicationOpenSignalInfo
data ApplicationShutdownSignalInfo
data ApplicationStartupSignalInfo
