module GI.Gio.Objects.Settings where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype Settings = Settings (ForeignPtr Settings)
instance GObject Settings where
class GObject o => SettingsK o
instance (GObject o, IsDescendantOf Settings o) => SettingsK o
data SettingsDelayApplyPropertyInfo
data SettingsHasUnappliedPropertyInfo
data SettingsPathPropertyInfo
data SettingsSchemaPropertyInfo
data SettingsSchemaIdPropertyInfo
data SettingsSettingsSchemaPropertyInfo
data SettingsChangeEventSignalInfo
data SettingsChangedSignalInfo
data SettingsWritableChangeEventSignalInfo
data SettingsWritableChangedSignalInfo
