module GI.Gio.Objects.TlsConnection where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype TlsConnection = TlsConnection (ForeignPtr TlsConnection)
instance GObject TlsConnection where
class GObject o => TlsConnectionK o
instance (GObject o, IsDescendantOf TlsConnection o) => TlsConnectionK o
data TlsConnectionBaseIoStreamPropertyInfo
data TlsConnectionCertificatePropertyInfo
data TlsConnectionDatabasePropertyInfo
data TlsConnectionInteractionPropertyInfo
data TlsConnectionPeerCertificatePropertyInfo
data TlsConnectionPeerCertificateErrorsPropertyInfo
data TlsConnectionRehandshakeModePropertyInfo
data TlsConnectionRequireCloseNotifyPropertyInfo
data TlsConnectionUseSystemCertdbPropertyInfo
data TlsConnectionAcceptCertificateSignalInfo
