
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Gio.Structs
    (     module GI.Gio.Structs.ActionEntry       ,
    module GI.Gio.Structs.DBusAnnotationInfo,
    module GI.Gio.Structs.DBusArgInfo       ,
    module GI.Gio.Structs.DBusErrorEntry    ,
    module GI.Gio.Structs.DBusInterfaceInfo ,
    module GI.Gio.Structs.DBusInterfaceVTable,
    module GI.Gio.Structs.DBusMethodInfo    ,
    module GI.Gio.Structs.DBusNodeInfo      ,
    module GI.Gio.Structs.DBusPropertyInfo  ,
    module GI.Gio.Structs.DBusSignalInfo    ,
    module GI.Gio.Structs.DBusSubtreeVTable ,
    module GI.Gio.Structs.FileAttributeInfo ,
    module GI.Gio.Structs.FileAttributeInfoList,
    module GI.Gio.Structs.FileAttributeMatcher,
    module GI.Gio.Structs.IOExtension       ,
    module GI.Gio.Structs.IOExtensionPoint  ,
    module GI.Gio.Structs.IOModuleScope     ,
    module GI.Gio.Structs.IOSchedulerJob    ,
    module GI.Gio.Structs.IOStreamAdapter   ,
    module GI.Gio.Structs.InputVector       ,
    module GI.Gio.Structs.OutputMessage     ,
    module GI.Gio.Structs.OutputVector      ,
    module GI.Gio.Structs.Resource          ,
    module GI.Gio.Structs.SettingsBackend   ,
    module GI.Gio.Structs.SettingsSchema    ,
    module GI.Gio.Structs.SettingsSchemaKey ,
    module GI.Gio.Structs.SettingsSchemaSource,
    module GI.Gio.Structs.SrvTarget         ,
    module GI.Gio.Structs.StaticResource    ,
    module GI.Gio.Structs.UnixMountEntry    ,
    module GI.Gio.Structs.UnixMountPoint    ,


    ) where

import GI.Gio.Structs.ActionEntry
import GI.Gio.Structs.DBusAnnotationInfo
import GI.Gio.Structs.DBusArgInfo
import GI.Gio.Structs.DBusErrorEntry
import GI.Gio.Structs.DBusInterfaceInfo
import GI.Gio.Structs.DBusInterfaceVTable
import GI.Gio.Structs.DBusMethodInfo
import GI.Gio.Structs.DBusNodeInfo
import GI.Gio.Structs.DBusPropertyInfo
import GI.Gio.Structs.DBusSignalInfo
import GI.Gio.Structs.DBusSubtreeVTable
import GI.Gio.Structs.FileAttributeInfo
import GI.Gio.Structs.FileAttributeInfoList
import GI.Gio.Structs.FileAttributeMatcher
import GI.Gio.Structs.IOExtension
import GI.Gio.Structs.IOExtensionPoint
import GI.Gio.Structs.IOModuleScope
import GI.Gio.Structs.IOSchedulerJob
import GI.Gio.Structs.IOStreamAdapter
import GI.Gio.Structs.InputVector
import GI.Gio.Structs.OutputMessage
import GI.Gio.Structs.OutputVector
import GI.Gio.Structs.Resource
import GI.Gio.Structs.SettingsBackend
import GI.Gio.Structs.SettingsSchema
import GI.Gio.Structs.SettingsSchemaKey
import GI.Gio.Structs.SettingsSchemaSource
import GI.Gio.Structs.SrvTarget
import GI.Gio.Structs.StaticResource
import GI.Gio.Structs.UnixMountEntry
import GI.Gio.Structs.UnixMountPoint

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Gio.Types
import GI.Gio.Callbacks


